%define pypi_name pytool

Name:           python-%{pypi_name}
Version:        5.0.0
Release:        %mkrel 1
Summary:        A Collection of Python Tools
Group:          Development/Python
License:        ASL 2.0
URL:            https://pypi.org/project/pytool/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
pytool is a collection of often used helper methods and classes that make life
easier or fill in gaps in the Python Standard Library.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel

%description -n python3-%{pypi_name}
pytool is a collection of often used helper methods and classes that make life
easier or fill in gaps in the Python Standard Library.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pytool

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md


%changelog
* Thu Feb 01 2024 papoteur <papoteur> 5.0.0-1.mga10
+ Revision: 2036625
- new version 5.0.0

* Wed Mar 23 2022 umeabot <umeabot> 3.16.2-2.mga9
+ Revision: 1822947
- Mageia 9 Mass Rebuild

* Wed Feb 16 2022 mrambo3501 <mrambo3501> 3.16.2-1.mga9
+ Revision: 1778183
- version 3.16.2
- rebuild for python-3.10

* Sat Mar 20 2021 guillomovitch <guillomovitch> 3.16.1-1.mga9
+ Revision: 1706030
- rebuild for python 3.9

* Thu Jul 23 2020 ovitters <ovitters> 3.15.0-4.mga8
+ Revision: 1608303
- rebuild for removing pythonegg buildrequires in srpm

* Sun Feb 16 2020 umeabot <umeabot> 3.15.0-3.mga8
+ Revision: 1533842
- Mageia 8 Mass Rebuild

* Tue Sep 24 2019 tv <tv> 3.15.0-2.mga8
+ Revision: 1445467
- rebuild for python-3.8
- drop python2 subpkg

* Mon Jul 01 2019 guillomovitch <guillomovitch> 3.15.0-1.mga8
+ Revision: 1417031
- imported package python-pytool

